#### PyKDE - Python Bindings for KDE

# class TDEApplicationTree |
Table of contents
Modules
tdefile Classes
All Classes

Module | tdefile
Class | TDEApplicationTree
Inherits | TDEListView

### methods

- TDEApplicationTree (a0)

  returns a TDEApplicationTree instance
  In versions less than KDE 3.1.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | TQWidget |

- addDesktopGroup (a0, a1 = 0)

  returns nothing
  In versions less than KDE 3.1.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | TQString |
  a1 | KAppTreeListItem | 0

- highlighted (a0, a1, a2)

  returns nothing
  In versions less than KDE 3.1.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | TQString |
  a1 | TQString |
  a2 | TQString |

- isDirSel ()

  returns (bool)
  In versions less than KDE 3.1.0 only

- resizeEvent (a0)

  returns nothing
  In versions less than KDE 3.1.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | TQResizeEvent |

- selected (a0, a1, a2)

  returns nothing
  In versions less than KDE 3.1.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | TQString |
  a1 | TQString |
  a2 | TQString |

- slotItemHighlighted (a0)

  returns nothing
  In versions less than KDE 3.1.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | TQListViewItem |

- slotSelectionChanged (a0)

  returns nothing
  In versions less than KDE 3.1.0 only
  Argument | Type | Default
  --- | --- | ---
  a0 | TQListViewItem |

### variables

- variables

  Variable | Type
  --- | ---
  it | KAppTreeListItem*